class PasteToEs
  include Sidekiq::Worker
  def perform(es_object, pb_object, paste_max)
    Logger.new(STDOUT).info("PasteToEs started")
    pastes = pb_object.scrape_public_pastes(paste_max)
    keys = pb_object.get_unique_paste_keys(pastes)
    json_data = pb_object.json_paste(keys)
    es_object.json_to_es_bulk(json_data)
  end
end
